Retrieve InfiniBand Partition

View as Markdown

Retrieve a specific InfiniBand Partition

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Tenant must own the Partition.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
infiniBandPartitionIdstringRequired
ID of the InfiniBand Partition

Query parameters

includeRelationenumOptional
Related entity to expand
Allowed values:

Response

OK
idstringRead-onlyformat: "uuid"
Unique UUID v4 identifier for the InfiniBand Partition
namestring2-256 characters
Name of the InfiniBand Partition
descriptionstring or null
Description of the InfiniBand Partition
siteIdstringformat: "uuid"
ID of the Site
tenantIdstringformat: "uuid"
ID of the Tenant
controllerIBPartitionIdstring or nullformat: "uuid"
ID of the Site Controller InfiniBand partition corresponding to this InfiniBand Partition
partitionKeystring or nullRead-only
Partition key assigned to the InfiniBand Partition
partitionNamestring or nullRead-only
Partition name assigned to the InfiniBand Partition
serviceLevelinteger or nullRead-only0-15
Service level configured for the InfiniBand Partition
rateLimitenumRead-only
Rate limit configured for the InfiniBand Partition
mtuenumRead-only
MTU configured for the InfiniBand Partition
enableSharpbooleanRead-only
Whether SHARP is enabled for the InfiniBand Partition
labelsmap from strings to strings

String key-value pairs describing InfiniBand Partition labels. Up to 10 key-value pairs can be specified

statusenum
Status of the InfiniBand Partition
statusHistorylist of objectsRead-only
Chronological status history for the InfiniBand Partition
createddatetimeRead-only

Date/time when the InfiniBand Partition was created

updateddatetimeRead-only

Date/time when the InfiniBand Partition was last updated

Errors

403
Forbidden Error